# steveej's infra
This repository helps me to manage all computer infrastructure.
This is mostly achieved with the help of [Nix](https://nixos.org).

In the unlikely case that you actually read this and have any questions please don't hesitate to reach out.

## Roadmap
- All graphical systems (incl. install media) must have
  - [x] Full-disk encryption by default 
  - [x] Yubikey support with SSH auth
- [ ] Migrate all devices to new structure
  - [x] Encrypted Install media
  - [ ] steveej-laptop
  - [ ] steveej-laptop-work
- [ ] Toplevel Justfile for simple actions
  - [x] mount/umount disks
  - [x] install to mounted disk
  - [x] rebuild running system
  - [ ] update running system
  - [ ] partition/encrypt/format disks
  - [ ] annotate recipes with some documentation
  - [ ] declare shell.nix with runtime deps
- [ ] Document bootstrap process
- [ ] Incorporate home environment 
  - [ ] home-manager
  - [ ] dotfiles
  - [ ] Modification strategy for tracked dotfiles
  - [ ] pkgs-configuration 
  - [ ] development environments
- [ ] Automatic backups
  - [ ] tracked dotfiles
  - [ ] detect new and untracked dotfiles?
- [ ] Design disaster recovery
- [ ] Recycle *\_archived*
- [ ] Maybe make this a nix-overlay

## Usage
*(These are reminders for my future self)*

```
just --list
```
